"""
    This module shows how to perform basic operations on arrays of numbers.
    
    LabVIEW numbers and arrays show up in Python as "NumPy" arrays, as
    defined in the "numpy" Python package.  They're the standard way of
    handling numerical data in an efficient way.
    
    The Python Integration Toolkit automatically translates between LabVIEW
    and NumPy, in both directions.
"""

def square_it(arg):
    """ Take a number or array, and return the squared result.
    
    Note that we don't specify a type for "arg", or for the return value.
    This Python function will work with any type that supports the "**"
    exponentiation operator.
    """
    print("Squaring input:")
    print(arg)
    
    # NumPy arrays are full-fledged objects, which have useful attributes
    # like their shape (multidimensional size), and type.
    print("Argument shape:", arg.shape)
    print("Argument type:", arg.dtype)
    
    return arg**2